org.apache.cassandra.streaming

## Class ProgressInfo

- java.lang.Object
- - org.apache.cassandra.streaming.ProgressInfo

All Implemented Interfaces:
  java.io.Serializable

    public class ProgressInfo
    extends java.lang.Object
    implements java.io.Serializable

ProgressInfo contains file transfer progress.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ProgressInfo.Direction` Direction of the stream.

### Field Summary

Fields
`long` `currentBytes`
`ProgressInfo.Direction` `direction`
`java.lang.String` `fileName`
`java.net.InetAddress` `peer`
`int` `sessionIndex`
`long` `totalBytes`

### Constructor Summary

Constructors
Constructor and Description
`ProgressInfo(java.net.InetAddress peer, int sessionIndex, java.lang.String fileName, ProgressInfo.Direction direction, long currentBytes, long totalBytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)` ProgressInfo is considered to be equal only when all attributes except currentBytes are equal.
`int` `hashCode()`
`boolean` `isCompleted()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### peer

    public final java.net.InetAddress peer

#### sessionIndex

    public final int sessionIndex

#### fileName

    public final java.lang.String fileName

#### direction

    public final ProgressInfo.Direction direction

#### currentBytes

    public final long currentBytes

#### totalBytes

    public final long totalBytes

### Constructor Detail

#### ProgressInfo

    public ProgressInfo(java.net.InetAddress peer,
                        int sessionIndex,
                        java.lang.String fileName,
                        ProgressInfo.Direction direction,
                        long currentBytes,
                        long totalBytes)

### Method Detail

#### isCompleted

    public boolean isCompleted()

Returns:
  true if file transfer is completed

#### equals

    public boolean equals(java.lang.Object o)

ProgressInfo is considered to be equal only when all attributes except currentBytes are equal.

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`